# Category.hh File Reference

`#include <log4cpp/Portability.hh>`
`#include <log4cpp/Appender.hh>`
`#include <log4cpp/LoggingEvent.hh>`
`#include <log4cpp/Priority.hh>`
`#include <log4cpp/CategoryStream.hh>`
`#include <log4cpp/threading/Threading.hh>`
`#include <log4cpp/convenience.h>`
`#include <map>`
`#include <vector>`
`#include <cstdarg>`
`#include <stdexcept>`

Include dependency graph for Category.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | log4cpp

## Classes

class | log4cpp::Category
| This is the central class in the log4j package. More...